Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
[Java] Class ValueRecorder

    java.lang.Object
      org.codehaus.groovy.runtime.powerassert.ValueRecorder
          org.codehaus.groovy.transform.powerassert.ValueRecorder

    public class ValueRecorder
    extends ValueRecorder

Records values produced during evaluation of an assertion statement's truth expression.

Authors:
  Peter Niederwieser

Constructor Summary
`ValueRecorder()`

Method Summary
`void` | `clear()`
`List` | `getValues()`
`Object` | `record(Object value, int anchor)`

Methods inherited from class ValueRecorder
clear, getValues, record, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ValueRecorder

    ValueRecorder()

Method Detail

### clear

    public void clear()

### getValues

    public List getValues()

### record

    public Object record(Object value, int anchor)

Groovy Documentation